Skip to main content
GET
/
api
/
v1
/
exits
/
status
/
{vtxo_id}
Get exit status
curl --request GET \
  --url https://api.example.com/api/v1/exits/status/{vtxo_id}
{
  "state": {
    "tip_height": 1,
    "type": "start"
  },
  "vtxo_id": "<string>",
  "history": [
    {
      "tip_height": 1,
      "type": "start"
    }
  ],
  "transactions": [
    {
      "exit": {
        "tx": "<string>",
        "txid": "<string>"
      },
      "child": {
        "info": {
          "tx": "<string>",
          "txid": "<string>"
        },
        "origin": {
          "type": "wallet",
          "confirmed_in": {
            "hash": "<string>",
            "height": 1
          }
        }
      }
    }
  ]
}

Path Parameters

vtxo_id
string
required

The VTXO to check the exit status of

Query Parameters

history
boolean

Whether to include the detailed history of the exit process

transactions
boolean

Whether to include the exit transactions and their CPFP children

Response

Returns the exit status

state
object
required

The current state of the exit transaction

vtxo_id
string
required

The ID of the VTXO that is being unilaterally exited

history
object[] | null

The history of each state the exit transaction has gone through

A utility type to wrap ExitState children so they can be easily serialized. This also helps with debugging a lot!

transactions
object[]

Each exit transaction package required for the unilateral exit